Description

attribute table entries in UTF 8 encoding aren`t preserved when executing a geoalgorithm under processing  in QGIS

History

#1 - 2016-07-23 04:32 AM - Anita Graser

Confirmed.

When testing with GDAL/OGR algorithms, the following warning is displayed

Warning 1: One or several characters couldn't be converted correctly from UTF-8 to ISO-8859-1. 

This warning will not be emitted anymore. 

Seems like Processing is trying to produce output in System default encoding rather than preserve the input encoding.

#2 - 2016-07-25 04:29 AM - Alexander Bruy

- Operating System deleted (Windows)

When executing ogr2ogr from command line directly, encoding also lost, so I think this is not a Processing issue.

BTW, works fine with native algs.

#3 - 2017-01-05 10:04 AM - Giovanni Manghi

- Priority changed from High to Normal

- Status changed from Open to Feedback

ogr based algs have (on purpose) an optional parameter "additional creation options" that can be used to add, for example

-lco ENCODING=UTF-8

and that will take care of encoding of outputs.

QGIS native algs works as expected.
SAGA and GRASS algs are breaking encoding, and that's already reported also in other tickets.

Could we close this?

#4 - 2017-01-05 05:54 PM - Christian Metzger

Hello, yes I can confirm that the utf 8 encoding will be preserved when executing qgis algs. The ticket can be closed.

Thank you very much!

#5 - 2017-01-05 11:17 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

Files

Test_Data.zip 5.16 KB 2016-07-22 Christian Metzger
